/*
**    TP CPE Lyon
**    Copyright (C) 2014 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#pragma once

#ifndef INTERSECTION_HELPER_HPP
#define INTERSECTION_HELPER_HPP

#include "../lib3d/vec3.hpp"
#include <vector>

namespace cpe
{

class intersection_helper
{
    public:
        /** \brief Compute the intersection between a sphere and a ray
            \return the t-values corresponding to the intersection
        */
        static std::vector<double> sphere_ray(const vec3& sphere_center,float sphere_radius,const vec3& ray_center,const vec3& ray_direction);

    private:
};
}

#endif
