/*
**    TP CPE Lyon
**    Copyright (C) 2014 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#pragma once

#ifndef MESH_OPENGL_HPP
#define MESH_OPENGL_HPP

#include "GL/glew.h"
#include "GL/gl.h"

namespace cpe
{

class mesh;

class mesh_opengl
{
public:

    mesh_opengl();
    ~mesh_opengl();

    void fill_vbo(const mesh& m);
    void draw();

private:

    void delete_vbo();

    GLuint vbo_vertex;
    GLuint vbo_normal;
    GLuint vbo_color;
    GLuint vbo_index;

    unsigned int number_of_triangles;
};

}

#endif
