
/** TP 4ETI - CPE Lyon - 2013/2014 */

#include <GL/glew.h>

#include "scene.hpp"
#include "glutils.hpp"

#include "../libperlin/perlin.hpp"



#include <cmath>


using namespace cpe;

GLuint scene::get_current_shader_id() const
{
    return shader_program_id;
}

void scene::load_scene()
{

    shader_program_id = read_shader("local/shader.vert", "local/shader.frag");PRINT_OPENGL_ERROR();



    const std::string filename="data/dino_0.off";

    mesh_1.load_file(filename); //chargement maillage
    mesh_1.inverse_orientation(); //inversion des orientation des triangles
    mesh_1.auto_scale(); //aggrandissement maillage entre [-1,1]
    mesh_1.compute_normal(); //calcul des normales
    mesh_1.fill_color_normal(); //calcul des couleurs


    //creation et mise a jour des VBO
    mesh_1_opengl.fill_vbo(mesh_1);



    //*****************************************//
    // Generate user defined mesh              //
    //*****************************************//
    mesh_2.add_vertex(vec3(-2.0f,-2.0f, -1.001f));
    mesh_2.add_vertex(vec3(-2.0f, 2.0f, -1.001f));
    mesh_2.add_vertex(vec3( 2.0f, 2.0f, -1.001f));
    mesh_2.add_vertex(vec3( 2.0f,-2.0f, -1.001f));

    mesh_2.add_triangle(0,2,1);
    mesh_2.add_triangle(0,3,2);

    mesh_2.compute_normal();
    mesh_2.fill_color(vec3(0.8,0.9,0.8));

    mesh_2_opengl.fill_vbo(mesh_2);




}

void scene::draw_scene()
{
    PRINT_OPENGL_ERROR();
    mesh_1_opengl.draw();PRINT_OPENGL_ERROR();

    mesh_2_opengl.draw();PRINT_OPENGL_ERROR();

}





scene::scene()
    :shader_program_id(0)
{

}




