
/** TP 4ETI - CPE Lyon - 2013/2014 */

#pragma once

#ifndef SCENE_HPP
#define SCENE_HPP

#include <GL/gl.h>
#include <GL/glew.h>

#include "../lib3d/matrix3.hpp"
#include "../lib3d/vec3.hpp"
#include "../libmesh/mesh.hpp"
#include "../libopengl/mesh_opengl.hpp"

#include <vector>




class scene
{
public:

    scene();



    /** \brief Method called only once at the beginning (load off files ...) */
    void load_scene();

    /** \brief Method called at every frame */
    void draw_scene();


    GLuint get_current_shader_id() const;


private:

    cpe::mesh mesh_1;
    cpe::mesh_opengl mesh_1_opengl;

    cpe::mesh mesh_2;
    cpe::mesh_opengl mesh_2_opengl;

    cpe::mesh mesh_ground;
    cpe::mesh_opengl mesh_ground_opengl;

    GLuint shader_program_id;



};

#endif
